import pymel.core as pm
from alShaders import alShadersTemplate

class AEalFractalTemplate(alShadersTemplate):
	def setup(self):
		self.addSwatch()
		self.beginScrollLayout()

		self.addControl("mode", label="Mode")
		self.addControl("space", label="Space")
		self.addControl("scale", label="Vector")
		self.addControl("frequency", label="Frequency")
		self.addControl("time", label="Time")
		self.addControl("octaves", label="Octaves")
		self.addControl("distortion", label="Distortion")
		self.addControl("lacunarity", label="Lacunarity")
		self.addControl("gain", label="Gain")
		self.addControl("turbulent", label="Turbulent")
		self.addControl("ridged", label="Ridged")
		self.addControl("ridgeOffset", label="Ridge offset")
		self.beginLayout("Remap", collapse=True)
		self.addControl("RMPinputMin", label="Input min")
		self.addControl("RMPinputMax", label="Input max")
		self.beginLayout("Contrast", collapse=False)
		self.addControl("RMPcontrast", label="Contrast")
		self.addControl("RMPcontrastPivot", label="Pivot")
		self.endLayout() # END Contrast
		self.beginLayout("Bias and gain", collapse=False)
		self.addControl("RMPbias", label="Bias")
		self.addControl("RMPgain", label="Gain")
		self.endLayout() # END Bias and gain
		self.addControl("RMPoutputMin", label="Output min")
		self.addControl("RMPoutputMax", label="Output max")
		self.beginLayout("Clamp", collapse=False)
		self.addControl("RMPclampEnable", label="Enable")
		self.addControl("RMPthreshold", label="Expand")
		self.addControl("RMPclampMin", label="Min")
		self.addControl("RMPclampMax", label="Max")
		self.endLayout() # END Clamp
		self.endLayout() # END Remap
		self.addControl("color1", label="Color 1")
		self.addControl("color2", label="Color 2")
		self.addControl("P", label="P")

		pm.mel.AEdependNodeTemplate(self.nodeName)
		self.addExtraControls()

		self.endScrollLayout()
